petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscPClose

Closes (ends) a program on processor zero run with PetscPOpen()

### Synopsis

    PetscErrorCode PetscPClose(MPI_Comm comm,FILE *fd)

Collective, but only process 0 runs the command

### Input Parameters

| comm | - MPI communicator, only processor zero runs the program
| fp | - the file pointer where program input or output may be read or NULL if don't care

### Notes

Does not work under Windows

### See Also

PetscFOpen(), PetscFClose(), PetscPOpen()

### Level

intermediate

### Location

src/sys/fileio/mpiuopen.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages